Hawk T.1A for DCS World by VEAO Simulations

Home > E-Shop > Modules > Hawk T.1A for DCS World
Hawk T.1A for DCS World

Attention! Starting DCS World version 2.5.4 this module will be unavailable! Please use DCS World version 2.5.3 or below!

The Hawk first entered service with the RAF in 1976, both as an advanced flying-training aircraft and a weapons-training aircraft. The Hawk T1 version is currently used at RAF Valley for fast-jet pilot advanced flying training with No 208(R) Squadron, and at RAF Scampton by the RAF Aerobatic Team, the Red Arrows.

The T1A is used for weapons and tactical training on No 19(R) Squadron at RAF Valley, and by No 100 Squadron at RAF Leeming for advanced fast-jet weapons systems officer training and operational support-flying. In its weapons and tactical training role the Hawk is used to teach air combat, air-to-air firing, air-to-ground firing and low-flying techniques and operational procedures.


STEAM Incompatible

Not available

Minimum system requirements (LOW graphics settings): OS 64-bit Windows 7/8/10; DirectX11; CPU: Intel Core i3 at 2.8 GHz or AMD FX; RAM: 8 GB (16 GB for heavy missions); Free hard disk space: 60 GB; Discrete video card NVIDIA GeForce GTX 760 / AMD R9 280X or better; requires internet activation.

Recommended system requirements (HIGH graphics settings): OS 64-bit Windows 8/10; DirectX11; CPU: Core i5+ at 3+ GHz or AMD FX / Ryzen; RAM: 16 GB (32 GB for heavy missions); Free hard disk space: 120 GB on Solid State Drive (SSD); Discrete video card NVIDIA GeForce GTX 1070 / AMD Radeon RX VEGA 56 with 8GB VRAM or better; Joystick; requires internet activation.

Recommended VR systems requirements (VR graphics settings): OS 64-bit Windows 8/10; DirectX11; CPU: Core i5+ at 3+ GHz or AMD FX / Ryzen; RAM: 16 GB (32 GB for heavy missions); Free hard disk space: 120 GB on Solid State Drive (SSD); Discrete video card NVIDIA GeForce GTX 1080 / AMD Radeon RX VEGA 64 or better; Joystick; requires internet activation.

This product can be downloaded and installed through the DCS World Module Manager. If you do not have DCS World installed, you can download the DCS World web-installer by clicking this link. If the product description does not have information about which DCS World version you should install, you only need to have the "Stable" version DCS World 2.5 installed on your PC.

FOLLOW US